unit Rrx65Dem;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Buttons, ExtCtrls, rrx65, StdCtrls;

type
  TfrmMain = class(TForm)
    ToolBar: TPanel;
    ClearBtn: TSpeedButton;
    ResetBtn: TSpeedButton;
    PrintBtn: TSpeedButton;
    SortBtn: TSpeedButton;
    RelationBtn: TSpeedButton;
    SelectPrnBtn: TSpeedButton;
    LoadReportBtn: TSpeedButton;
    PreviewBtn: TSpeedButton;
    UserBtn: TSpeedButton;
    TextLoadBtn: TSpeedButton;
    TextSaveBtn: TSpeedButton;
    FilterBtn: TSpeedButton;
    DirBtn: TSpeedButton;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    AuthorPanel: TPanel;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure ClearBtnClick(Sender: TObject);
    procedure LoadReportBtnClick(Sender: TObject);
    procedure ResetBtnClick(Sender: TObject);
    procedure TextLoadBtnClick(Sender: TObject);
    procedure TextSaveBtnClick(Sender: TObject);
    procedure PrintBtnClick(Sender: TObject);
    procedure PreviewBtnClick(Sender: TObject);
    procedure SelectPrnBtnClick(Sender: TObject);
    procedure RelationBtnClick(Sender: TObject);
    procedure SortBtnClick(Sender: TObject);
    procedure FilterBtnClick(Sender: TObject);
    procedure UserBtnClick(Sender: TObject);
    procedure DirBtnClick(Sender: TObject);
    procedure btncloseClick(Sender: TObject);
  private
    { Private declarations }
    FReport: Trrx65;
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  FReport := TRRX65.Create(Self);
end;

procedure TfrmMain.ClearBtnClick(Sender: TObject);
begin
  fReport.Clear;
end;

procedure TfrmMain.LoadReportBtnClick(Sender: TObject);
begin
  FReport.ReportLibrary:='';
  FReport.ReportName:='';
  FReport.SelectReportName;
  FReport.LoadFromReport;
end;

procedure TfrmMain.ResetBtnClick(Sender: TObject);
begin
  Freport.loadfromreport;
end;

procedure TfrmMain.TextLoadBtnClick(Sender: TObject);
begin
  if opendialog1.execute then FReport.LoadFromFile(opendialog1.filename);
end;

procedure TfrmMain.TextSaveBtnClick(Sender: TObject);
begin
  if savedialog1.execute then FReport.SaveToFile(savedialog1.filename);
end;

procedure TfrmMain.PrintBtnClick(Sender: TObject);
var
  OldDest:TrrDest;
begin
  OldDest := FReport.OutputDest;
  FReport.OutputDest:=rrdPrinter;
  FReport.Execute;
  FReport.OutPutDest:=OldDest;
end;

procedure TfrmMain.PreviewBtnClick(Sender: TObject);
begin
  FReport.Preview;
end;

procedure TfrmMain.SelectPrnBtnClick(Sender: TObject);
begin
  FReport.SelectPrinter;
end;

procedure TfrmMain.RelationBtnClick(Sender: TObject);
begin
  FReport.SelectRelations;
end;

procedure TfrmMain.SortBtnClick(Sender: TObject);
begin
  Freport.SelectSortFields;
end;

procedure TfrmMain.FilterBtnClick(Sender: TObject);
begin
  FReport.SelectFilter;
end;

procedure TfrmMain.UserBtnClick(Sender: TObject);
begin
  Freport.SelectUserParams;
end;

procedure TfrmMain.DirBtnClick(Sender: TObject);
begin
  Freport.selectdirs;
end;

procedure TfrmMain.btncloseClick(Sender: TObject);
begin
  FReport.Free;
  Application.Terminate;
end;

end.
